import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		createman: commonLogic.appcommonhandle("建立人",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		ibizcustomname: commonLogic.appcommonhandle("自定义名称",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		ibizcustomid: commonLogic.appcommonhandle("自定义标识",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
	},
		views: {
			customeditview: {
				caption: commonLogic.appcommonhandle("自定义实现编辑视图",null),
				title: commonLogic.appcommonhandle("自定义实现编辑视图",null),
			},
			customgridview: {
				caption: commonLogic.appcommonhandle("自定义实现表格视图",null),
				title: commonLogic.appcommonhandle("自定义实现表格视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("自定义基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("自定义标识",null), 
				srfmajortext: commonLogic.appcommonhandle("自定义名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizcustomname: commonLogic.appcommonhandle("自定义名称",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
				ibizcustomid: commonLogic.appcommonhandle("自定义标识",null), 
			},
			uiactions: {
			},
		},
		customeditviewusr1109559507toolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;